[disco/master-next,3/9] UBUNTU: [Packaging] dkms-build -- elide partial Built-Using information
diff mbox series

Message ID 20190312155719.3532-4-apw@canonical.com
State New
Headers show
Series
  • [disco/master-next,1/9] UBUNTU: [Packaging] dkms-build -- support building against packages in PPAs
Related show

Commit Message

Andy Whitcroft March 12, 2019, 3:57 p.m. UTC
When generating the Built-Using: field for our packages emit partial
Built-Using information as a side effect of avoiding duplicate entries.
This is confusing, squash it.

BugLink: http://bugs.launchpad.net/bugs/1764792
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
 debian/scripts/dkms-build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch
diff mbox series

diff --git a/debian/scripts/dkms-build b/debian/scripts/dkms-build
index aede826b40b4..251761b54e4f 100755
--- a/debian/scripts/dkms-build
+++ b/debian/scripts/dkms-build
@@ -19,7 +19,7 @@  built_using_record()
 	if [ ! -f "$subst" ]; then
 		touch "$subst"
 	fi
-	if ! grep -s "^linux:BuiltUsing=" "$subst"; then
+	if ! grep -q -s "^linux:BuiltUsing=" "$subst"; then
 		echo "linux:BuiltUsing=" >>"$subst"
 	fi
 	sed -i -e "s/^\(linux:BuiltUsing=.*\)/\1$built_using, /" "$subst"